Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Debian Local Security Checks >> [DSA419] DSA-419-1 phpgroupware


Vulnerability Assessment Details

[DSA419] DSA-419-1 phpgroupware

Vulnerability Assessment Summary
DSA-419-1 phpgroupware

Detailed Explanation for this Vulnerability Assessment

The authors of phpgroupware, a web based groupware system written in
PHP, discovered several vulnerabilities. The Common Vulnerabilities
and Exposures project identifies the following problems:
In the "calendar" module, "save extension" was not enforced for
holiday files. As a result, server-side php scripts may be placed
in directories that then could be accessed remotely and cause the
webserver to execute those. This was resolved by enforcing the
extension ".txt" for holiday files.
Some SQL injection problems (non-escaping of values used in SQL
strings) the "calendar" and "infolog" modules.
Additionally, the Debian maintainer adjusted the permissions on world
writable directories that were accidentally created by former postinst
during the installation.
For the stable distribution (woody) this problem has been fixed in
version 0.9.14-0.RC3.2.woody3.
For the unstable distribution (sid) this problem has been fixed in
version 0.9.14.007-4.
We recommend that you upgrade your phpgroupware, phpgroupware-calendar
and phpgroupware-infolog packages.


Solution : http://www.debian.org/security/2004/dsa-419
Network Security Threat Level: High

Networks Security ID: 9386, 9387

Vulnerability Assessment Copyright: This script is (C) 2005 Michel Arboi

Cables, Connectors

IP 710 Phone with 4 Line Display and POE VoIP Phone and Device (2793)
$99.77
IP 710 Phone with 4 Line Display and POE VoIP Phone and Device (2793) pictureMotorola VT2442-VD Broadband Voice Gateway VoIP Vonage - ***FAST SHIPPING***
$7.55
Motorola VT2442-VD Broadband Voice Gateway VoIP Vonage - ***FAST SHIPPING*** pictureLot of 5 Cisco CP-7942G 7942 IP VoIP Business Office Phone w/ Handset
$75.0
Lot of 5 Cisco CP-7942G 7942 IP VoIP Business Office Phone w/ Handset  pictureLot of 5 Cisco CP-CAM-C-K9 Unified Video Camera for the 9900 Series VoIP Phones
$79.0
Lot of 5 Cisco CP-CAM-C-K9 Unified Video Camera for the 9900 Series VoIP Phones  picture


Discussions

No Discussions have been posted on this vulnerability.